<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0) on Wed Aug 15 19:54:05 CEST 2007 -->
<TITLE>
ChessUi
</TITLE>

<META NAME="date" CONTENT="2007-08-15">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="ChessUi";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ChessUi.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../gui/chess/BoardView.html" title="class in gui.chess"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../gui/chess/FieldView.html" title="class in gui.chess"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../index.html?gui/chess/ChessUi.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ChessUi.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
gui.chess</FONT>
<BR>
Class ChessUi</H2>
<PRE>
<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../resources/inherit.gif" ALT="extended by "><B>gui.chess.ChessUi</B>
</PRE>
<HR>
<DL>
<DT><PRE>public class <B>ChessUi</B><DT>extends <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></DL>
</PRE>

<P>
Provides color settings for the chess ui components. Attempts to read
 config/ChessUi.properties or another special properties file. If none are
 found, default values will be taken.
<P>

<P>
<DL>
<DT><B>Author:</B></DT>
  <DD>robert.wloch@tempel-der-guten-dinge.de</DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#ALLOWED_FIELD_COLOR">ALLOWED_FIELD_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for allowed field's color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#ALLOWED_PIN_COLOR">ALLOWED_PIN_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for allowed pin's color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#ATTACK_FIELD_COLOR">ATTACK_FIELD_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for attack field's color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#ATTACKER_FIELD_COLOR">ATTACKER_FIELD_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for attacker field's color frame.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#BACKGROUND_COLOR">BACKGROUND_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for components' backfround color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#BLACK_FIELD_COLOR">BLACK_FIELD_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for black field's color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#BLACK_FIELD_EDGE_COLOR">BLACK_FIELD_EDGE_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for black field's edge color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#FORBIDDEN_FIELD_COLOR">FORBIDDEN_FIELD_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for forbidden field's color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#FORBIDDEN_PIN_COLOR">FORBIDDEN_PIN_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for forbidden pin's color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#GUARDED_FIELD_COLOR">GUARDED_FIELD_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for guarded field's color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#HINT_COLOR">HINT_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for hint color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#LABEL_COLOR">LABEL_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for label color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#PIN_BRIGHT_COLOR">PIN_BRIGHT_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for pin's bright gradient color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#PIN_DARK_COLOR">PIN_DARK_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for pin's dark gradient color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#PIN_GHOST_BRIGHT_COLOR">PIN_GHOST_BRIGHT_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for ghost pin's bright gradient color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#PIN_GHOST_DARK_COLOR">PIN_GHOST_DARK_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for ghost pin's dark gradient color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#REPLAY_DELAY">REPLAY_DELAY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for animated move sequence replay.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#SELECTED_FIELD_COLOR">SELECTED_FIELD_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for selected field's color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#SELECTED_PIN_COLOR">SELECTED_PIN_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for selected pin's color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#TOOLTIP_COLOR">TOOLTIP_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for tool tip color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#TOOLTIP_EDGE_COLOR">TOOLTIP_EDGE_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for tool tip edge color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#TOOLTIP_TEXT_COLOR">TOOLTIP_TEXT_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for tool tip text color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#uiProperties">uiProperties</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Array of all default values.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#WHITE_FIELD_COLOR">WHITE_FIELD_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for white field's color.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#WHITE_FIELD_EDGE_COLOR">WHITE_FIELD_EDGE_COLOR</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Property key name for white field's edge color.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#ChessUi()">ChessUi</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default constructor.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#ChessUi(java.lang.String)">ChessUi</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;resourceFile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructs a ChessUi for a specific resource file.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#createColors()">createColors</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a Color mapping for the properties keys.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#getResourceFile()">getResourceFile</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Color.html?is-external=true" title="class or interface in java.awt">Color</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#getUiProperty(java.lang.String)">getUiProperty</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;property)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#getUiPropertyString(java.lang.String)">getUiPropertyString</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;property)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#initialize(java.lang.String)">initialize</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;resourceFile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Loads UI properties from a given resource file.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#setResourceFile(java.lang.String)">setResourceFile</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;resourceFile)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#setupDefaults()">setupDefaults</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sets up default colors if no properties files have been found.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;<A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Color.html?is-external=true" title="class or interface in java.awt">Color</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../gui/chess/ChessUi.html#toColor(java.lang.String)">toColor</A></B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;rgba)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates a Color object from an rgba representation with the format
 "r,g,b,a".</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="REPLAY_DELAY"><!-- --></A><H3>
REPLAY_DELAY</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>REPLAY_DELAY</B></PRE>
<DL>
<DD>Property key name for animated move sequence replay.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.REPLAY_DELAY">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="BACKGROUND_COLOR"><!-- --></A><H3>
BACKGROUND_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>BACKGROUND_COLOR</B></PRE>
<DL>
<DD>Property key name for components' backfround color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.BACKGROUND_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="WHITE_FIELD_COLOR"><!-- --></A><H3>
WHITE_FIELD_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>WHITE_FIELD_COLOR</B></PRE>
<DL>
<DD>Property key name for white field's color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.WHITE_FIELD_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="WHITE_FIELD_EDGE_COLOR"><!-- --></A><H3>
WHITE_FIELD_EDGE_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>WHITE_FIELD_EDGE_COLOR</B></PRE>
<DL>
<DD>Property key name for white field's edge color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.WHITE_FIELD_EDGE_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="BLACK_FIELD_COLOR"><!-- --></A><H3>
BLACK_FIELD_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>BLACK_FIELD_COLOR</B></PRE>
<DL>
<DD>Property key name for black field's color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.BLACK_FIELD_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="BLACK_FIELD_EDGE_COLOR"><!-- --></A><H3>
BLACK_FIELD_EDGE_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>BLACK_FIELD_EDGE_COLOR</B></PRE>
<DL>
<DD>Property key name for black field's edge color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.BLACK_FIELD_EDGE_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SELECTED_FIELD_COLOR"><!-- --></A><H3>
SELECTED_FIELD_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>SELECTED_FIELD_COLOR</B></PRE>
<DL>
<DD>Property key name for selected field's color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.SELECTED_FIELD_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="ALLOWED_FIELD_COLOR"><!-- --></A><H3>
ALLOWED_FIELD_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>ALLOWED_FIELD_COLOR</B></PRE>
<DL>
<DD>Property key name for allowed field's color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.ALLOWED_FIELD_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="ATTACK_FIELD_COLOR"><!-- --></A><H3>
ATTACK_FIELD_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>ATTACK_FIELD_COLOR</B></PRE>
<DL>
<DD>Property key name for attack field's color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.ATTACK_FIELD_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="GUARDED_FIELD_COLOR"><!-- --></A><H3>
GUARDED_FIELD_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>GUARDED_FIELD_COLOR</B></PRE>
<DL>
<DD>Property key name for guarded field's color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.GUARDED_FIELD_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="FORBIDDEN_FIELD_COLOR"><!-- --></A><H3>
FORBIDDEN_FIELD_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>FORBIDDEN_FIELD_COLOR</B></PRE>
<DL>
<DD>Property key name for forbidden field's color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.FORBIDDEN_FIELD_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="ATTACKER_FIELD_COLOR"><!-- --></A><H3>
ATTACKER_FIELD_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>ATTACKER_FIELD_COLOR</B></PRE>
<DL>
<DD>Property key name for attacker field's color frame.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.ATTACKER_FIELD_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="LABEL_COLOR"><!-- --></A><H3>
LABEL_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>LABEL_COLOR</B></PRE>
<DL>
<DD>Property key name for label color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.LABEL_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="HINT_COLOR"><!-- --></A><H3>
HINT_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>HINT_COLOR</B></PRE>
<DL>
<DD>Property key name for hint color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.HINT_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="TOOLTIP_TEXT_COLOR"><!-- --></A><H3>
TOOLTIP_TEXT_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>TOOLTIP_TEXT_COLOR</B></PRE>
<DL>
<DD>Property key name for tool tip text color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.TOOLTIP_TEXT_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="TOOLTIP_COLOR"><!-- --></A><H3>
TOOLTIP_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>TOOLTIP_COLOR</B></PRE>
<DL>
<DD>Property key name for tool tip color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.TOOLTIP_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="TOOLTIP_EDGE_COLOR"><!-- --></A><H3>
TOOLTIP_EDGE_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>TOOLTIP_EDGE_COLOR</B></PRE>
<DL>
<DD>Property key name for tool tip edge color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.TOOLTIP_EDGE_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="PIN_BRIGHT_COLOR"><!-- --></A><H3>
PIN_BRIGHT_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>PIN_BRIGHT_COLOR</B></PRE>
<DL>
<DD>Property key name for pin's bright gradient color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.PIN_BRIGHT_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="PIN_DARK_COLOR"><!-- --></A><H3>
PIN_DARK_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>PIN_DARK_COLOR</B></PRE>
<DL>
<DD>Property key name for pin's dark gradient color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.PIN_DARK_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="PIN_GHOST_BRIGHT_COLOR"><!-- --></A><H3>
PIN_GHOST_BRIGHT_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>PIN_GHOST_BRIGHT_COLOR</B></PRE>
<DL>
<DD>Property key name for ghost pin's bright gradient color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.PIN_GHOST_BRIGHT_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="PIN_GHOST_DARK_COLOR"><!-- --></A><H3>
PIN_GHOST_DARK_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>PIN_GHOST_DARK_COLOR</B></PRE>
<DL>
<DD>Property key name for ghost pin's dark gradient color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.PIN_GHOST_DARK_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SELECTED_PIN_COLOR"><!-- --></A><H3>
SELECTED_PIN_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>SELECTED_PIN_COLOR</B></PRE>
<DL>
<DD>Property key name for selected pin's color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.SELECTED_PIN_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="ALLOWED_PIN_COLOR"><!-- --></A><H3>
ALLOWED_PIN_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>ALLOWED_PIN_COLOR</B></PRE>
<DL>
<DD>Property key name for allowed pin's color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.ALLOWED_PIN_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="FORBIDDEN_PIN_COLOR"><!-- --></A><H3>
FORBIDDEN_PIN_COLOR</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>FORBIDDEN_PIN_COLOR</B></PRE>
<DL>
<DD>Property key name for forbidden pin's color.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../constant-values.html#gui.chess.ChessUi.FORBIDDEN_PIN_COLOR">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="uiProperties"><!-- --></A><H3>
uiProperties</H3>
<PRE>
public static final <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>[] <B>uiProperties</B></PRE>
<DL>
<DD>Array of all default values.
<P>
<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="ChessUi()"><!-- --></A><H3>
ChessUi</H3>
<PRE>
public <B>ChessUi</B>()</PRE>
<DL>
<DD>Default constructor. Tries to load config/ChessUI.properties.
<P>
</DL>
<HR>

<A NAME="ChessUi(java.lang.String)"><!-- --></A><H3>
ChessUi</H3>
<PRE>
public <B>ChessUi</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;resourceFile)</PRE>
<DL>
<DD>Constructs a ChessUi for a specific resource file.
<P>
<DL>
<DT><B>Parameters:</B><DD><CODE>resourceFile</CODE> - name of the resource file located in config folder.</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="initialize(java.lang.String)"><!-- --></A><H3>
initialize</H3>
<PRE>
protected void <B>initialize</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;resourceFile)</PRE>
<DL>
<DD>Loads UI properties from a given resource file. Old properties will be
 discarded.
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>resourceFile</CODE> - name of the resource file located in config folder.</DL>
</DD>
</DL>
<HR>

<A NAME="getUiProperty(java.lang.String)"><!-- --></A><H3>
getUiProperty</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Color.html?is-external=true" title="class or interface in java.awt">Color</A> <B>getUiProperty</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;property)</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the Color of a property or null, if property name unknown</DL>
</DD>
</DL>
<HR>

<A NAME="getUiPropertyString(java.lang.String)"><!-- --></A><H3>
getUiPropertyString</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>getUiPropertyString</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;property)</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the String value of a property or null, if property name unknown</DL>
</DD>
</DL>
<HR>

<A NAME="setupDefaults()"><!-- --></A><H3>
setupDefaults</H3>
<PRE>
protected void <B>setupDefaults</B>()</PRE>
<DL>
<DD>Sets up default colors if no properties files have been found.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createColors()"><!-- --></A><H3>
createColors</H3>
<PRE>
protected void <B>createColors</B>()</PRE>
<DL>
<DD>Creates a Color mapping for the properties keys.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="toColor(java.lang.String)"><!-- --></A><H3>
toColor</H3>
<PRE>
protected static <A HREF="http://java.sun.com/javase/6/docs/api/java/awt/Color.html?is-external=true" title="class or interface in java.awt">Color</A> <B>toColor</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;rgba)</PRE>
<DL>
<DD>Creates a Color object from an rgba representation with the format
 "r,g,b,a".
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getResourceFile()"><!-- --></A><H3>
getResourceFile</H3>
<PRE>
public <A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A> <B>getResourceFile</B>()</PRE>
<DL>
<DD><DL>

<DT><B>Returns:</B><DD>the resourceFile</DL>
</DD>
</DL>
<HR>

<A NAME="setResourceFile(java.lang.String)"><!-- --></A><H3>
setResourceFile</H3>
<PRE>
public void <B>setResourceFile</B>(<A HREF="http://java.sun.com/javase/6/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</A>&nbsp;resourceFile)</PRE>
<DL>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>resourceFile</CODE> - the resourceFile to set</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/ChessUi.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../gui/chess/BoardView.html" title="class in gui.chess"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../gui/chess/FieldView.html" title="class in gui.chess"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../index.html?gui/chess/ChessUi.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ChessUi.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
